diff --git a/tools/perf/pmu-events/arch/arm64/arm/neoverse-n2/metrics.json b/tools/perf/pmu-events/arch/arm64/arm/neoverse-n2/metrics.json
index 230e93a..2a3e50d 100644
--- a/tools/perf/pmu-events/arch/arm64/arm/neoverse-n2/metrics.json
+++ b/tools/perf/pmu-events/arch/arm64/arm/neoverse-n2/metrics.json
@@ -180,5 +180,68 @@
         "BriefDescription": "Utilization of CPU",
         "MetricGroup": "PEutilization",
         "MetricName": "cpu_utilization"
+    },
+    {
+        "MetricExpr": "LD_SPEC / INST_SPEC",
+        "PublicDescription": "The rate of load instructions speculatively executed to overall instructions speclatively executed",
+        "BriefDescription": "The rate of load instructions speculatively executed to overall instructions speclatively executed",
+        "MetricGroup": "InstructionMix",
+        "MetricName": "load_spec_rate"
+    },
+    {
+        "MetricExpr": "ST_SPEC / INST_SPEC",
+        "PublicDescription": "The rate of store instructions speculatively executed to overall instructions speclatively executed",
+        "BriefDescription": "The rate of store instructions speculatively executed to overall instructions speclatively executed",
+        "MetricGroup": "InstructionMix",
+        "MetricName": "store_spec_rate"
+    },
+    {
+        "MetricExpr": "DP_SPEC / INST_SPEC",
+        "PublicDescription": "The rate of integer data-processing instructions speculatively executed to overall instructions speclatively executed",
+        "BriefDescription": "The rate of integer data-processing instructions speculatively executed to overall instructions speclatively executed",
+        "MetricGroup": "InstructionMix",
+        "MetricName": "date_process_spec_rate"
+    },
+    {
+        "MetricExpr": "ASE_SPEC / INST_SPEC",
+        "PublicDescription": "The rate of advanced SIMD instructions speculatively executed to overall instructions speclatively executed",
+        "BriefDescription": "The rate of advanced SIMD instructions speculatively executed to overall instructions speclatively executed",
+        "MetricGroup": "InstructionMix",
+        "MetricName": "advanced_simd_spec_rate"
+    },
+    {
+        "MetricExpr": "VFP_SPEC / INST_SPEC",
+        "PublicDescription": "The rate of floating point instructions speculatively executed to overall instructions speclatively executed",
+        "BriefDescription": "The rate of floating point instructions speculatively executed to overall instructions speclatively executed",
+        "MetricGroup": "InstructionMix",
+        "MetricName": "float_point_spec_rate"
+    },
+    {
+        "MetricExpr": "CRYPTO_SPEC / INST_SPEC",
+        "PublicDescription": "The rate of crypto instructions speculatively executed to overall instructions speclatively executed",
+        "BriefDescription": "The rate of crypto instructions speculatively executed to overall instructions speclatively executed",
+        "MetricGroup": "InstructionMix",
+        "MetricName": "crypto_spec_rate"
+    },
+    {
+        "MetricExpr": "BR_IMMED_SPEC / INST_SPEC",
+        "PublicDescription": "The rate of branch immediate instructions speculatively executed to overall instructions speclatively executed",
+        "BriefDescription": "The rate of branch immediate instructions speculatively executed to overall instructions speclatively executed",
+        "MetricGroup": "InstructionMix",
+        "MetricName": "branch_immed_spec_rate"
+    },
+    {
+        "MetricExpr": "BR_RETURN_SPEC / INST_SPEC",
+        "PublicDescription": "The rate of procedure return instructions speculatively executed to overall instructions speclatively executed",
+        "BriefDescription": "The rate of procedure return instructions speculatively executed to overall instructions speclatively executed",
+        "MetricGroup": "InstructionMix",
+        "MetricName": "branch_return_spec_rate"
+    },
+    {
+        "MetricExpr": "BR_INDIRECT_SPEC / INST_SPEC",
+        "PublicDescription": "The rate of indirect branch instructions speculatively executed to overall instructions speclatively executed",
+        "BriefDescription": "The rate of indirect branch instructions speculatively executed to overall instructions speclatively executed",
+        "MetricGroup": "InstructionMix",
+        "MetricName": "branch_indirect_spec_rate"
     }
 ]
\ No newline at end of file